al_convert_bitmap(3)

NAME

al_convert_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_convert_bitmap(ALLEGRO_BITMAP *bitmap)

DESCRIPTION

Converts the bitmap to the current bitmap flags and format. The bitmap will be as if it was created anew with al_create_bitmap(3) but retain its contents. All of this bitmap's sub-bitmaps are also converted. If the new bitmap type is memory, then the bitmap's projection bitmap is reset to be orthographic.

If this bitmap is a sub-bitmap, then it, its parent and all the sibling sub-bitmaps are also converted.

SINCE

5.1.0

SEE ALSO

al_create_bitmap(3), al_set_new_bitmap_format(3), al_set_new_bitmap_flags(3), al_clone_bitmap(3)